org.apache.uima.collection.metadata

## Interface CpeCheckpoint

- All Superinterfaces:
    Cloneable, MetaDataObject, Serializable, XMLizable

      public interface CpeCheckpoint
      extends MetaDataObject

  An object that holds configuration that is part of the CPE descriptor. It provides the means of configuring CPE checkpoint. The checkpoint contains a name of the file where the recovery information will be stored and a frequency of checkpoints.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBatchSize()`
    `String` | `getFilePath()` Returns file where checkpoint information is stored
    `int` | `getFrequency()` Returns frequency of checkpoints.
    `boolean` | `isTimeBased()` Returns true if frequency of checkpoints is time-based
    `void` | `setBatchSize(int aBatchSize)`
    `void` | `setFilePath(String aCheckpointFilePath)` Sets the file where checkpoint information will be stored
    `void` | `setFrequency(int aFrequency, boolean aTimeBased)` Sets frequency of checkpoints.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### setFilePath

          void setFilePath(String aCheckpointFilePath)
                    throws CpeDescriptorException

      Sets the file where checkpoint information will be stored
      Parameters:
        `aCheckpointFilePath` - - checkpoint file path
      Throws:
        `CpeDescriptorException` - tbd

    - #### getFilePath

          String getFilePath()

      Returns file where checkpoint information is stored
      Returns:
        - checkpoint file path

    - #### setFrequency

          void setFrequency(int aFrequency,
                            boolean aTimeBased)

      Sets frequency of checkpoints. Currently only time-based checkpointing is supported.
      Parameters:
        `aFrequency` - - number of millis between checkpoints
        `aTimeBased` - - true if checkpoint is based on time

    - #### getFrequency

          int getFrequency()

      Returns frequency of checkpoints.
      Returns:
        - number of millis between checkpoints

    - #### isTimeBased

          boolean isTimeBased()

      Returns true if frequency of checkpoints is time-based
      Returns:
        true;

    - #### setBatchSize

          void setBatchSize(int aBatchSize)

      Parameters:
        `aBatchSize` - the size of the batch

    - #### getBatchSize

          int getBatchSize()

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.